图谱 API 版

Ad Account Agencies

读取

Agencies associated with ad accounts

例子

Graph API Explorer
GET /v25.0/{ad-account-id}/agencies HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/{ad-account-id}/agencies',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/{ad-account-id}/agencies",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/{ad-account-id}/agencies",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/{ad-account-id}/agencies"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
如果你希望详细了解如何使用图谱 API,请阅读我们的图谱 API 指南

参数

这个端点不包含任何参数。

字段

从这条连线读取将返回一个 JSON 格式的结果:

{ "data": [], "paging": {} }

data

Business 节点列表。

以下字段将添加到返回的每个节点:

字段说明
access_requested_time
datetime

The creation time of the access request

access_status
enum

The status of the access request

access_updated_time
datetime

The update time of the access request

permitted_tasks
list<string>

The permissions of tasks associated with the access request

paging

详细了解分页功能,请见图谱 API 指南

错误代码

错误描述
200Permissions error
100Invalid parameter
190Invalid OAuth 2.0 Access Token
80004There have been too many calls to this ad-account. Wait a bit and try again. For more info, please refer to https://developers.facebook.com/docs/graph-api/overview/rate-limiting#ads-management.

创建

你无法在此端点执行该操作。

更新

你无法在此端点执行该操作。

删除

你可以向 /act_{ad_account_id}/agencies 发出 DELETE 请求,将 a Business 与 an AdAccount 取消关联。

参数

参数描述
business
numeric string

SELF_EXPLANATORY

必填

返回类型

Struct {
success: bool,
}

错误代码

错误描述
100Invalid parameter
200Permissions error